import { Renderer2, EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor, Validator, AbstractControl, ValidationErrors } from '@angular/forms';
import { DomSanitizer } from '@angular/platform-browser';
import { MdEditorOption } from './md-editor.types';
export declare class MarkdownEditorComponent implements ControlValueAccessor, Validator {
    required: boolean;
    maxlength: number;
    private _renderer2;
    private _domSanitizer;
    aceEditorContainer: ElementRef;
    hideToolbar: boolean;
    height: string;
    preRender: Function;
    upload: Function;
    get mode(): string;
    set mode(value: string);
    private _mode;
    get options(): MdEditorOption;
    set options(value: MdEditorOption);
    private _options;
    onEditorLoaded: EventEmitter<any>;
    hideIcons: any;
    showPreviewPanel: boolean;
    isFullScreen: boolean;
    previewHtml: any;
    dragover: boolean;
    isUploading: boolean;
    get markdownValue(): any;
    set markdownValue(value: any);
    private _markdownValue;
    private _editor;
    private _editorResizeTimer;
    private _renderMarkTimeout;
    private _markedOpt;
    private _defaultOption;
    private get _hasUploadFunction();
    private _onChange;
    private _onTouched;
    constructor(required: boolean, maxlength: number, _renderer2: Renderer2, _domSanitizer: DomSanitizer);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    writeValue(value: any | Array<any>): void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    validate(c: AbstractControl): ValidationErrors;
    insertContent(type: string, customContent?: string): void;
    togglePreview(): void;
    previewPanelClick(event: Event): void;
    fullScreen(): void;
    mdEditorResize(size: any): void;
    editorResize(timeOut?: number): void;
    onDragover(evt: DragEvent): void;
    onDrop(evt: DragEvent): void;
    onDragleave(evt: DragEvent): void;
    private getRender;
}
